unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ExtCtrls, DBCtrls, Grids, DBGrids, ASGSQLite;

type
  TForm1 = class(TForm)
    ASQLiteDB1: TASQLiteDB;
    ASQLiteQuery1: TASQLiteQuery;
    ASQLiteUpdateSQL1: TASQLiteUpdateSQL;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    DataSource1: TDataSource;
    procedure DBNavigator1BeforeAction(Sender: TObject;
      Button: TNavigateBtn);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.DBNavigator1BeforeAction(Sender: TObject;
  Button: TNavigateBtn);
begin
  caption := 'ok';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 ASQLiteQuery1.open;
end;

end.
